# ApiOzoneS3GatewayInfo Data Model

Encapsulates information needed to utilize the s3 Gateway API- namely, the AWS credentials, the rest url of the s3 Gateway and the S3 bucket.

Properties
name | data type | description
--- | --- | ---
awsAccessKey | string | The AWS access key for a particular Ozone service
awsSecret | string | The AWS secret associated with the access key
restUrl | string | The rest url, in host:port format, of the Ozone S3 Gateway. Always returns the first entry in the list of rest urls or null if list is null or zero-length.
restUrls | array of string | The list of rest urls, in host:port format, of the Ozone S3 Gateway
bucket | string | The Ozone address of the created S3 bucket

Example

    {
      "awsAccessKey" : "...",
      "awsSecret" : "...",
      "restUrls" : [ "...", "..." ],
      "bucket" : "..."
    }